Skip to main content
POST
Create a trail by repo id

Authorizations

Authorization
string
header
required

OAuth 2.0 authorization code flow.

Path Parameters

repo_id
string
required

Repo id: placement ULID or public repo_

Body

application/json
branch_name
string
required
Minimum string length: 1
title
string
required
Minimum string length: 1
assignees
(string | object)[]

An actor reference: ulid: or @username. A bare string is a GitHub login (legacy).

base
string
Minimum string length: 1
branch_action
enum<string>
Available options:
create,
link
ready_for_review
boolean
status
enum<string>
Available options:
open,
closed

Response

Created

has_new_branch
boolean
required
trail
object
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"/api/v1/schemas/TrailCreateResponseBody.json"